 package de.thd.pms.service;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import de.thd.pms.model.Buchung;
import de.thd.pms.model.Zimmer;
import de.thd.pms.repository.BuchungRepository;

@Service 
public class BuchungService {

	@Autowired
	private BuchungRepository buchungRepository;

	public void createBuchung() {
		
		Buchung b = new Buchung();
		buchungRepository.save(b);
	}

	public void createBuchung(Zimmer zimmer) {
		Buchung b = new Buchung();
		b.setZimmer(zimmer);
		buchungRepository.save(b);
		
	}

}
