package de.thd.pms.service;

import org.apache.logging.log4j.LogManager;
import org.apache.logging.log4j.Logger;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import de.thd.pms.model.Zimmer;
import de.thd.pms.repository.ZimmerRepository;

@Service
public class ZimmerService {

	private static Logger log = LogManager.getLogger(ZimmerService.class);
	
	@Autowired
	private ZimmerRepository zimmerRepository;
	
	public Zimmer createZimmer(Integer anzbett, Integer preisErw, Integer preisKind) {
		
				
		Zimmer z = new Zimmer();
		z.setAnzbett(anzbett=2);
		z.setPreisErw(preisErw=39);
		z.setPreisKind(preisKind=14);
		
		
		
		log.info("createZimmer" + z);
		
		
		zimmerRepository.save(z);
		return z;
	}

}
